wicd不能在e17运行?

回复
头像
gnand
帖子: 17
注册时间: 2009-07-16 15:57
送出感谢: 0
接收感谢: 0

wicd不能在e17运行?

#1

帖子 gnand » 2010-12-04 0:00

用的是arch系统。按照wiki装好wicd。也加入rc.conf守护进程什么的。不过在e17里点击wicd的图标只有个东西一闪而过,没图形界面出来。郁闷死了。
只好装gnome,反而在gnome的系统托盘里找到了wicd图标,一点击就能用,怎么会呢?
谁教教我啊?

代码: 全选

笃学诚恒,经世致用。。
[/color]
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

Re: wicd不能在e17运行?

#2

帖子 eexpress » 2010-12-04 0:03

终端运行,可看提示
● 鸣学
头像
gnand
帖子: 17
注册时间: 2009-07-16 15:57
送出感谢: 0
接收感谢: 0

Re: wicd不能在e17运行?

#3

帖子 gnand » 2010-12-04 0:07

eexpress 写了:终端运行,可看提示
看起来挺正常的呢:
$ sudo wicd-client
Importing pynotify failed, notifications disabled.
Has notifications support False
Loading...
Connecting to daemon...
Connected.
displaytray True
Done loading.
没有图形界面出来~~~~ :em20

代码: 全选

笃学诚恒,经世致用。。
[/color]
头像
photor
论坛版主
帖子: 11005
注册时间: 2008-04-26 12:41
送出感谢: 8 次
接收感谢: 36 次

Re: wicd不能在e17运行?

#4

帖子 photor » 2010-12-04 0:17

e17的systray好像确实显示不出来一些程序,不过不是有e17原生网络管理模块emodule-exalt可以用吗,干嘛一定要wicd? :em09
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

Re: wicd不能在e17运行?

#5

帖子 eexpress » 2010-12-04 0:18

使用pynotify的,估计界面也都是。py的版本问题可能导致界面不出吧。
在gnome的系统托盘里找到了wicd图标
可以ps看下,是啥进程。可能不是 wicd-client。而是带了一堆参数的某命令,我印象中的这样的。
● 鸣学
头像
gnand
帖子: 17
注册时间: 2009-07-16 15:57
送出感谢: 0
接收感谢: 0

Re: wicd不能在e17运行?

#6

帖子 gnand » 2010-12-04 12:19

eexpress,
eexpress 写了:使用pynotify的,估计界面也都是。py的版本问题可能导致界面不出吧。
在gnome的系统托盘里找到了wicd图标
可以ps看下,是啥进程。可能不是 wicd-client。而是带了一堆参数的某命令,我印象中的这样的。
麻烦你再帮我瞧瞧吧:
UID PID PPID C STIME TTY TIME CMD
root 1 0 0 11:55 ? 00:00:00 init [3]
root 902 1 0 11:55 ? 00:00:00 /sbin/udevd --daemon
dbus 1805 1 0 11:55 ? 00:00:01 /usr/bin/dbus-daemon --system
root 1889 1 0 11:55 ? 00:00:02 /usr/bin/python2 -O /usr/share/wicd/daemon/wicd-daemon.py
root 1933 1889 0 11:55 ? 00:00:00 /usr/bin/python2 -O /usr/share/wicd/daemon/monitor.py
root 2353 1 0 11:56 ? 00:00:00 /sbin/dhcpcd wlan0 -h and-laptop
root 3260 3255 0 12:11 pts/0 00:00:00 sudo wicd-client
root 3261 3260 0 12:11 pts/0 00:00:00 /usr/bin/python2 -O /usr/share/wicd/gtk/wicd-client.py



:em06

代码: 全选

笃学诚恒,经世致用。。
[/color]
头像
phoenixlzx
论坛版主
帖子: 2245
注册时间: 2009-07-29 20:11
系统: Arch Linux
来自: Gensokyo
送出感谢: 4 次
接收感谢: 17 次
联系:

Re: wicd不能在e17运行?

#7

帖子 phoenixlzx » 2010-12-05 8:01

photor 写了:e17的systray好像确实显示不出来一些程序,不过不是有e17原生网络管理模块emodule-exalt可以用吗,干嘛一定要wicd? :em09
没用过,想用,求教 ~~另:我的wicd除了不能连pppoe其他一切正常(e17)
头像
photor
论坛版主
帖子: 11005
注册时间: 2008-04-26 12:41
送出感谢: 8 次
接收感谢: 36 次

Re: wicd不能在e17运行?

#8

帖子 photor » 2010-12-05 17:50

phoenixlzx 写了:
photor 写了:e17的systray好像确实显示不出来一些程序,不过不是有e17原生网络管理模块emodule-exalt可以用吗,干嘛一定要wicd? :em09
没用过,想用,求教 ~~另:我的wicd除了不能连pppoe其他一切正常(e17)
看大三八的e17手把手 :em09
windymo
帖子: 3
注册时间: 2011-05-12 20:27
送出感谢: 0
接收感谢: 0

Re: wicd不能在e17运行?

#9

帖子 windymo » 2011-09-23 2:40

严重关注,遇到同样的问题,搞到半夜还是没搞定。
头像
photor
论坛版主
帖子: 11005
注册时间: 2008-04-26 12:41
送出感谢: 8 次
接收感谢: 36 次

Re: wicd不能在e17运行?

#10

帖子 photor » 2011-09-23 15:22

windymo 写了:严重关注,遇到同样的问题,搞到半夜还是没搞定。
试试nm? :em09
回复

回到 “Arch发行版”